Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ItemSelectionMode

    java.lang.Object
      java.lang.Enum<Qt.ItemSelectionMode>
          com.trolltech.qt.core.Qt.ItemSelectionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ItemSelectionMode>

Enclosing interface:
  Qt

    public static enum Qt.ItemSelectionMode

extends java.lang.Enum<Qt.ItemSelectionMode>
implements QtEnumerator

This enum is used in `QGraphicsItem`, `QGraphicsScene` and `QGraphicsView` to specify how items are selected, or how to determine if a shapes and items collide.

See Also:
  `QGraphicsScene::items`, `QGraphicsScene::collidingItems`, `QGraphicsView::items`, `QGraphicsItem::collidesWithItem`, `QGraphicsItem::collidesWithPath`

Enum Constant Summary
`ContainsItemBoundingRect` The output list contains only items whose bounding rectangle is fully contained inside the selection area.
`ContainsItemShape` The output list contains only items whose shape is fully contained inside the selection area.
`IntersectsItemBoundingRect` The output list contains both items whose bounding rectangle is fully contained inside the selection area, and items that intersect with the area's outline.
`IntersectsItemShape` The output list contains both items whose shape is fully contained inside the selection area, and items that intersect with the area's outline.

Method Summary
`static Qt.ItemSelectionMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ItemSelectionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ItemSelectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ContainsItemShape

    public static final Qt.ItemSelectionMode ContainsItemShape

  The output list contains only items whose shape is fully contained inside the selection area. Items that intersect with the area's outline are not included.

### IntersectsItemShape

    public static final Qt.ItemSelectionMode IntersectsItemShape

  The output list contains both items whose shape is fully contained inside the selection area, and items that intersect with the area's outline. This is a common mode for rubber band selection.

### ContainsItemBoundingRect

    public static final Qt.ItemSelectionMode ContainsItemBoundingRect

  The output list contains only items whose bounding rectangle is fully contained inside the selection area. Items that intersect with the area's outline are not included.

### IntersectsItemBoundingRect

    public static final Qt.ItemSelectionMode IntersectsItemBoundingRect

  The output list contains both items whose bounding rectangle is fully contained inside the selection area, and items that intersect with the area's outline. This method is commonly used for determining areas that need redrawing.

Method Detail

### values

    public static final Qt.ItemSelectionMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ItemSelectionMode c : Qt.ItemSelectionMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ItemSelectionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ItemSelectionMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD